﻿Imports ProgettoSicurezza.Client.ClientServices

Public Class DiscoveredClientItem
    Public Property Client As ClientMessagesServiceClient

    Public ReadOnly Property Username As String
        Get
            If Client IsNot Nothing Then
                Return Client.GetUsername
            Else
                Return "<Client Not Ready>"
            End If
        End Get
    End Property

    Public ReadOnly Property EndpointAddress As String
        Get
            If Client IsNot Nothing Then
                Return Client.Endpoint.Address.Uri.ToString
            Else
                Return "<Client Not Ready>"
            End If
        End Get
    End Property

    Public Sub New(client As ClientMessagesServiceClient)
        Me.Client = client
    End Sub
End Class
