﻿Imports System.Runtime.Serialization
Imports System.ServiceModel
Imports SharedTools

<ServiceContract()>
Public Interface IMessagesService
    <OperationContract()> Function SendCertificateRequest(r As String) As String
    <OperationContract()> Function IsCertificateReady(r As String) As String
    <OperationContract()> Function SendRevocationRequest(r As String) As String
    <OperationContract()> Function SendRenewalRequest(r As String) As String
    <OperationContract()> Function DownloadCRL(r As String) As String
    <OperationContract()> Function SendOCSPQuery(r As String) As String
    <OperationContract()> Function DownloadUserCertificate(r As String) As String
End Interface


<DataContract()>
Public Class Message

    <DataMember()> Public Property Text As String
    <DataMember()> Public Property TimeStamp As Date
    <DataMember()> Public Property Author As String


End Class
