﻿Imports System.Runtime.Serialization



<DataContract()> Public Class PDFItem
    <DataMember()> Public Property PDFBytes As Byte()

    <DataMember()> Public Property Username As String
    <DataMember()> Public Property Title As String
    <DataMember()> Public Property Size As String
        Get
            Return CInt(PDFBytes.Count / 1024).ToString
        End Get
        Set(value As String)

        End Set
    End Property

    <DataMember()> Public Property IsEncrypted As Boolean
    <DataMember()> Public Property IsSigned As Boolean

    Public Function Copy() As PDFItem
        Dim i As New PDFItem
        i.PDFBytes = Me.PDFBytes
        i.Username = Me.Username
        i.Title = Me.Title
        i.IsEncrypted = Me.IsEncrypted
        i.IsSigned = Me.IsSigned
        Return i
    End Function
End Class

